SQL-инъекция в WordPress WP Forum Plugin

Дата публикации:
09.03.2011
Дата изменения:
09.03.2011
Всего просмотров:
3461
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:P/RL:U/RC:C) = Base:6.4/Temporal:5.8
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
WordPress WP Forum Plugin 1.x
Уязвимые версии: WordPress WP Forum Plugin 1.7.8, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в HTTP POST параметре "group_id" в сценарии index.php, когда параметр "forumaction" равен "grlogin_submit", в параметре "thread" в сценарии wp-content/plugins/wp-forum/forum_feed.php, и в параметре "id" в сценарии wp-content/plugins/wp-forum/sendmail.php, когда параметр "action" равен "quote". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.fahlstad.se/wp-plugins/wp-forum/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.htbridge.ch/advisory/sql_injection_in_wp_forum_wordpress_plugin.html
http://www.htbridge.ch/advisory/sql_injection_in_wp_forum_wordpress_plugin_1.html
http://www.htbridge.ch/advisory/sql_injection_in_wp_forum_wordpress_plugin_2.html

или введите имя

CAPTCHA